---
updatedAt: 2026-09-07T12:45:07.000Z
agentTools:
  projectIndex: https://developer.candid.org/llms.txt
---

# /premier/v1/ftapdf

Use an EIN in the path parameter to get a PDF of a nonprofit's financial trends analysis.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "version": "1.0",
    "title": "Premier API",
    "description": "Enhance your apps, records, or experience with robust nonprofit profile financials, people, DEI, and IRS compliance validation.",
    "license": {
      "name": "Candid API License Agreement"
    }
  },
  "servers": [
    {
      "url": "https://api.candid.org/premier"
    },
    {
      "url": "https://apidata.guidestar.org/premier"
    }
  ],
  "paths": {
    "/v1/ftapdf/{ein}": {
      "get": {
        "summary": "/premier/v1/ftapdf",
        "description": "Use an EIN in the path parameter to get a PDF of a nonprofit's financial trends analysis.",
        "operationId": "premier_v1_ftapdf",
        "parameters": [
          {
            "name": "ein",
            "in": "path",
            "description": "Employer Identification Number.",
            "example": "13-1837418",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/pdf": {
                "schema": {
                  "type": "object",
                  "description": "PDF containing financial analysis trend for the organization with the given ein"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Forbidden"
                }
              }
            }
          },
          "404": {
            "description": "No Results Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFound"
                }
              }
            }
          },
          "406": {
            "description": "Not Acceptable",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotAcceptable"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/TooManyRequests"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/InternalServerError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyHeader": {
        "type": "apiKey",
        "name": "Subscription-Key",
        "in": "header"
      },
      "apiKeyQuery": {
        "type": "apiKey",
        "name": "Subscription-Key",
        "in": "query"
      }
    },
    "schemas": {
      "BadRequest": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 400
          },
          "message": {
            "type": "string",
            "example": "The request cannot be fulfilled due to bad syntax."
          }
        }
      },
      "Unauthorized": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 401
          },
          "message": {
            "type": "string",
            "example": "Access denied due to invalid subscription key. Make sure to provide a valid key for an active subscription."
          }
        }
      },
      "Forbidden": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 403
          },
          "message": {
            "type": "string",
            "example": "Forbidden, we found insufficient permissions to grant access to the resources. Please check the detailed message of the response."
          }
        }
      },
      "NotFound": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 404
          },
          "message": {
            "type": "string",
            "example": "Request was processed successfully but we could not find the resource ein"
          }
        }
      },
      "NotAcceptable": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 406
          },
          "message": {
            "type": "string",
            "example": "The requested resource is capable of generating only content not acceptable according to the Accept headers sent in the request."
          }
        }
      },
      "TooManyRequests": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 429
          },
          "message": {
            "type": "string",
            "example": "Rate limit is exceeded. Try again later."
          }
        }
      },
      "InternalServerError": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "HTTP response status code.",
            "example": 500
          },
          "message": {
            "type": "string",
            "example": "Oh no!, this is bad, something went wrong... please contact API support!"
          }
        }
      }
    }
  },
  "security": [
    {
      "apiKeyHeader": []
    },
    {
      "apiKeyQuery": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```